Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools
[Java] Class StringHelper

    java.lang.Object
      org.codehaus.groovy.tools.StringHelper

    public class StringHelper
    extends java.lang.Object

Method Summary
`static java.lang.String[]` | `tokenizeUnquoted(java.lang.String s)` This method tokenizes a string by space characters, but ignores spaces in quoted parts,that are parts in '' or "".

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### tokenizeUnquoted

    public static java.lang.String[] tokenizeUnquoted(java.lang.String s)

  This method tokenizes a string by space characters, but ignores spaces in quoted parts,that are parts in '' or "". The method does allows the usage of "" in '' and '' in "". The space character between tokens is not returned.
  Parameters:
    `s` - the string to tokenize
  Returns:
    the tokens

Groovy Documentation